<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="resize_matrix" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>February 2007</pubdate>
  </info>

  <refnamediv>
    <refname>resize_matrix</refname>

    <refpurpose>redimensionne une matrice</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>resMat = resize_matrix(mat,nbRow,nbCol,[typeOfMat])</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Paramètres</title>

    <variablelist>
      <varlistentry>
        <term>mat</term>

        <listitem>
          <para>matrice d'entrée à  partir de laquelle la matrice
          redimensionnée sera créée.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>nbRow</term>

        <listitem>
          <para>nombre de lignes de la matrice redimensionnée.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>nbCol</term>

        <listitem>
          <para>nombre de colonnes de la matrice redimensionnée.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>typeOfMat</term>

        <listitem>
          <para>chaîne de caractères spécifiant le type de la matrice
          redimensionnée.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>resMat</term>

        <listitem>
          <para>matrice redimensionnée.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Crée une matrice de taille <literal>nbRow</literal> x<literal>
    nbCol</literal> dont les éléments <literal>(i,j)</literal> sont
    <literal>mat(i,j)</literal> si <literal>(i,j)</literal> est inférieur à 
    la taille de la matrice. Sinon les éléments <literal>(i,j)</literal> sont
    <literal>0</literal> pour les matrices de réels ou d'entier,
    <literal>%f</literal> pour les matrices de booléens et une chaîne vide
    pour les matrices de chaînes de caractères.</para>

    <para>Le type de la matrice de sortie peut être spécifié par l'argument
    <literal>typeOfMat</literal>. Dans ce cas, le type doit être compatible
    avec celui de la matrice d'entrée.</para>

    <para>Pour l'instant, seules les matrices de réels, d'entiers, de booléens
    et de chaînes de caractères sont supportées. Ainsi, l'argument
    <literal>typeOfMat</literal> doit prendre une valeur parmis : 'constant',
    'boolean', 'string' ou un type entier ('int8', 'int16',...).</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example"><![CDATA[ 
// matrice de chiffres
myMat = 5 * rand( 3, 4 )
myMat = resize_matrix( myMat, 3, 3 ) // réduction de la taille de la matrice

// création d'une matrice d'entiers
myMatInteger = resize_matrix( myMat, 4, 4, 'int32' )
myMatBoolean = resize_matrix( myMat, 2, 2, 'boolean' )
myMatBoolean = resize_matrix( myMatBoolean, 3, 5 )

// matrice de chaînes de caractères
myMatString = ["Scilab","the";"Open Source","Scientific";"Software","Package"]
myMatString = resize_matrix( myMatString, 3, 1 )
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Voir Aussi</title>

    <simplelist type="inline">
      <member><link linkend="matrix">matrix</link></member>

      <member><link linkend="size">size</link></member>

      <member><link linkend="typeof">typeof</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Auteurs</title>

    <para>Jean-Baptiste Silvy</para>
  </refsection>
</refentry>
